Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.search
Class EnvironmentFilter

    java.lang.Object
      org.eclipse.update.search.BaseFilter
          org.eclipse.update.search.EnvironmentFilter

All Implemented Interfaces:
  IUpdateSearchFilter

public class EnvironmentFilter
extends BaseFilter

This class can be added to the update search request to filter out features that do not match the current environment settings.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0
See Also:
  `UpdateSearchRequest`, `IUpdateSearchFilter`

Constructor Summary
`EnvironmentFilter()`

Method Summary
`boolean` | `accept(IFeature match)` Tests a feature according to this filter's criteria.

Methods inherited from class org.eclipse.update.search.BaseFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvironmentFilter

    public EnvironmentFilter()

Method Detail

### accept

    public boolean accept(IFeature match)

  Description copied from interface: `IUpdateSearchFilter`
  Tests a feature according to this filter's criteria.

  Specified by:
    `accept` in interface `IUpdateSearchFilter`
  Overrides:
    `accept` in class `BaseFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.